tss2_list(1)

NAME
tss2_list(1) -

SYNOPSIS
tss2_list [OPTIONS]

SEE ALSO
fapi-config(5) to adjust Fapi parameters like the used cryptographic profile and TCTI or directories for the Fapi metadata storages.

fapi-profile(5) to determine the cryptographic algorithms and parameters for all keys and operations of a specific TPM interaction like the name hash algorithm, the asymmetric signature algorithm, scheme and parameters and PCR bank selection.

DESCRIPTION
tss2_list(1) - This command enumerates all objects in the FAPI metadata store in a given a path.

OPTIONS
These are the available options:

•   -f, --force:

    Force overwriting the output file.

•   -p, --searchPath=STRING:

    The path identifying the root of the search. Optional parameter. If omitted, all entities will be searched.

•   -o, --pathList=FILENAME or - (for stdout):

    Returns the colon-separated list of paths. Optional parameter. If omitted, results will be printed to - (stdout).

COMMON OPTIONS
This collection of options are common to all tss2 programs and provide information that many users may expect.

•   -h, --help [man|no-man]: Display the tools manpage. By default, it attempts to invoke the manpager for the tool, however, on failure will output a short tool summary. This is the same behavior if the “man” option argument is specified, however if explicit “man” is requested, the tool will provide errors from man on stderr. If the “no-man” option if specified, or the manpager fails, the short options will be output to stdout.

    To successfully use the manpages feature requires the manpages to be installed or on MANPATH, See man(1) for more details.

•   -v, --version: Display version information for this tool, supported tctis and exit.

EXAMPLES

  List all entities and print results to stdout

        tss2_list

  List all entities under the HS path and print results to file

        tss2_list --searchPath=HS --pathList=output.file

RETURNS
0 on success or 1 on failure.

BUGS
Github Issues (https://github.com/tpm2-software/tpm2-tools/issues)

HELP
See the Mailing List (https://lists.linuxfoundation.org/mailman/listinfo/tpm2)